Get a trade account request
GET
/trade-applications/{id}
const url = 'https://example.com/trade-applications/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f';const options = { method: 'GET', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/trade-applications/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f \ --cookie bottle.session_token=<bottle.session_token>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Responses
Section titled “Responses”The request
Media typeapplication/json
object
id
required
UUID v7
string format: uuid
status
required
string
businessName
required
string
phone
required
string
companyNumber
required
string | null
vatNumber
required
string | null
contacts
required
Array<object> | null
object
name
required
string
role
required
string
email
string
phone
string
address
required
object
line1
string
line2
string
city
string
postcode
string
notes
required
string | null
account
required
object
id
required
UUID v7
string format: uuid
email
required
string
name
required
string
customerId
required
UUID v7
string | null format: uuid
reason
required
string | null
decidedAt
required
string | null format: date-time
createdAt
required
string format: date-time
Example
{ "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "status": "pending", "contacts": [ { "role": "buyer" } ], "account": { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" }, "customerId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}No such request, customer or sign-in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}